std::__shared_mutex_cv Class Reference
Inheritance diagram for std::__shared_mutex_cv:
[legend]

## Public Member Functions

| __shared_mutex_cv (const __shared_mutex_cv &)=delete
void | lock ()
void | lock_shared ()
__shared_mutex_cv & | operator= (const __shared_mutex_cv &)=delete
bool | try_lock ()
bool | try_lock_shared ()
void | unlock ()
void | unlock_shared ()

## Friends

class | shared_timed_mutex

## Detailed Description

A shared mutex type implemented using std::condition_variable.

Definition at line 172 of file shared_mutex.

The documentation for this class was generated from the following file:

- shared_mutex